package com.caimei.controller;

import com.caimei.service.DownloadService;
import com.caimei.service.UploadService;
import com.caimei.utils.OSSUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

/**
 * @author Aslee
 * @date 2021/5/14
 */
@Api(tags = "上传API")
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("/download")
public class DownloadApi {
    private static final Logger logger = LoggerFactory.getLogger(DownloadApi.class);
    @Value("${caimei.imageDomain}")
    private String imageDomain;
    private final DownloadService downloadService;


    @ApiOperation("下载文件")
    @ApiImplicitParam(name = "ossName",value = "oss名称")
    @GetMapping("/file")
    public void downloadFile(String ossName,String fileName, HttpServletRequest request, HttpServletResponse response) {
        try {
            downloadService.downloadFile(ossName, fileName, request, response);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
